<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- 
/*
 * Copyright (C) 2010 Texas Instruments Incorporated - http://www.ti.com/ 
 * 
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-->
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<title>High Performance Digital Signal Processer Utility Application</title>
<link rel="stylesheet" href="default.css" type="text/css" />
<SCRIPT TYPE="text/javascript"> 
	<!--
		function writesubmit() {
			document.body.style.cursor = "wait";
			document.getElementById('flashwait').innerHTML = "<br><font color='#FF0000'>It can take a few minutes to write the EEPROM. Please be patient.</font>";	
			document.eepromwrite.submit();
		}
	//-->
</SCRIPT>
</head>
<body>
<div id="wrapper">
	<div id="logo">
		<h1>EEPROM Utility</h1>
	</div>
	<div id="header">
		<div id="menu">
			<ul>
				<li><a href ="index.html">Welcome</a></li>
				<li><a href="info.cgi">Information</a></li>
				<li><a href="stats.cgi">Statistics</a></li>
				<li><a href="tasks.cgi">Task List</a></li>
				<li><a href="bench.html">Benchmarks</a></li>
				<li><a href="diag.cgi">Diagnostics</a></li>
				<li><a href="flash.cgi">Flash</a></li>
				<li class="current_page_item"><a href="I2C.html">EEPROM</a></li>
			</ul>
		</div>
	</div>
</div>

<div id="page">
	<div id="content">
		<hr>
		<table cellpadding="6">
			<tr><td valign="center">
			<image src="dspchip.gif">
			</td><td width="100%" align="justify">
			<h2>Read the EEPROM on the Platform</h2>
			<br>
			<p class="howitworks"><b>How it works:</b> A backend CGI function reads the POST data using the Platform Library and then formats it for display in blocks of 1024.</p>
			</td></tr>
		</table>

		<hr><br>
	
		<div id="flashread" style="width: 60%; margin-left: 25px; padding: 2px; border: 1px gray solid;">
			<form action="eepromread.cgi" method="post">
			<table border="0" cellpadding="5" id="eepromreadtable" width="416">
				<tr>
					<td width="29%" align="left"><b>Read </b></td>
				</tr>
				<tr>
					<td width="25%" align="left">EEPROM</td>
					<td align="left" width="69%">
					<input type="radio" value="80" checked name="slave_address"> POST 
					(0x50) <input type="radio" name="slave_address" value="81"> BOOT (0x51)</td>
				</tr>
				<tr>
					<td width="29%" align="left">Address</td>
					<td align="left" width="64%">
					<input type="text"  name="address" size="5" value="0"></td>
				</tr>
				<tr>
					<td width="91%" align="left" colspan="2"><input type="submit" value="Read"></td>
				</tr>
			</table>
			</form>
		</div>
		
		<br>

		<div id="flashwrite" style="margin-left: 25px; width: 60%; padding: 2px; border: 1px gray solid;">
			<form name="eepromwrite" action="eepromwrite.cgi" method="post" enctype="multipart/form-data">
			<table border="0" cellpadding="5" id="eepromwritetable">
			<tr>
			<td width="25%" align="left"><b>Write </b></td>
				</tr>
			<td>
			To write the EEPROM use the EEPROM Flash Image Generation and Write utlities that come with the Multi-core SDK for your platform.
			</td>
			</tr>
<!-- 
				<tr>
					<td width="25%" align="left"><b>Write </b></td>
				</tr>
				<tr>
					<td width="25%" align="left">EEPROM</td>
					<td align="left" width="69%">
					<input type="radio" value="80" checked name="slave_address"> POST 
					(0x50) <input type="radio" name="slave_address" value="81"> BOOT (0x51)</td>
				</tr>
				<tr>
					<td width="29%" align="left">Address</td>
					<td align="left" width="64%"> 0
					<input type="hidden"  name="address" size="5" value="0"></td>
				</tr>
				<tr>
					<td width="25%" align="left">File to Write</td>
					<td align="left" width="69%"> 
					<input type="file"  name="image" size="30"></td>
				</tr>
				<tr>
					<td width="25%" align="left"><input type="button" value="Write" onClick="writesubmit();"></td>
				</tr>
				<tr>
					<td id="flashwait" align="left" colspan="2">
					<br>
					The file to write must have been created 
					with the EEPROM image creation utility.</td>
				</tr>
-->
			</table>
			</form>
			</div>
			<br>
			<br>
	</div>

	<div style="clear: both;">&nbsp;</div>
</div>

<div id="footer">
	<p id="legal">( c ) 2010-2011 Texas Instruments Incorporated&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <a href="credit.html">Credits</a> </p>
</div>

</body>
</html>
